Bug 394671 - vinagre -h crashes
vinagre -h crashes
Product: Fedora
Classification: Fedora
Component: vinagre (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-21 12:53 EST by Scott Tsai
Modified: 2008-04-01 11:09 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.3-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-13 00:11:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Scott Tsai 2007-11-21 12:53:30 EST
Description of problem:
vinagre -h crashes

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run "vinagre -h"

Actual results:
segmentation fault

Expected results:
help message

Additional info:
Core was generated by `vinagre -h'.
Program terminated with signal 11, Segmentation fault.
#0  _gtk_accel_map_add_group (accel_path=0x64bb70
"<Actions>/VinagreWindowAlwaysSensitiveActions/Machine", accel_group=0x616200)
at gtkaccelmap.c:852
852       entry->groups = g_slist_prepend (entry->groups, accel_group);
(gdb) bt
#0  _gtk_accel_map_add_group (accel_path=0x64bb70
"<Actions>/VinagreWindowAlwaysSensitiveActions/Machine", accel_group=0x616200)
at gtkaccelmap.c:852
#1  0x00000036ad465460 in quick_accel_add (accel_group=0x616200, accel_key=0,
accel_mods=0, accel_flags=<value optimized out>, closure=0x6498d0, 
    path_quark=399) at gtkaccelgroup.c:380
#2  0x00000036ad465c41 in IA__gtk_accel_group_connect_by_path
    accel_path=0x64bb70 "<Actions>/VinagreWindowAlwaysSensitiveActions/Machine",
closure=0x6498d0) at gtkaccelgroup.c:553
#3  0x00000036ad469594 in IA__gtk_action_connect_accelerator (action=0x646880)
at gtkaction.c:1769
#4  0x00000036ad46b0c8 in connect_proxy (action=0x646880, proxy=0x6628d0) at
#5  0x00000036ad469e7f in IA__gtk_action_create_menu_item (action=0x646880) at
#6  0x00000036ad67ccf0 in update_node (self=0x63d720, node=0x649130, in_popup=0)
at gtkuimanager.c:2377
#7  0x00000036ad67bdb3 in update_node (self=0x63d720, node=0x649100,
in_popup=<value optimized out>) at gtkuimanager.c:2706
#8  0x00000036ad67bdb3 in update_node (self=0x63d720, node=0x6304f0,
in_popup=<value optimized out>) at gtkuimanager.c:2706
#9  0x00000036ad67cdf3 in do_updates (self=0x2) at gtkuimanager.c:2748
#10 0x00000036ad67d3a9 in gtk_ui_manager_real_get_widget (self=0x2, path=0x0) at
#11 0x000000000040ca50 in vinagre_window_init (window=0x642000) at
#12 0x00000036a942a760 in g_type_create_instance () from /lib64/libgobject-2.0.so.0
#13 0x00000036a9411a3d in gtk_main_quit () at gtkmain.c:1213
#14 0x00000036a940fe74 in g_object_newv () from /lib64/libgobject-2.0.so.0
#15 0x00000036a941094e in g_object_new_valist () from /lib64/libgobject-2.0.so.0
#16 0x00000036a9410af1 in g_object_new () from /lib64/libgobject-2.0.so.0
#17 0x0000000000408e40 in main (argc=2, argv=0x7fff58dfb378) at vinagre-main.c:99
#18 0x00000036a601e074 in __libc_start_main () from /lib64/libc.so.6
#19 0x00000000004066f9 in _start ()
Comment 1 Bastien Nocera 2007-11-23 08:10:11 EST
It crashes much earlier than that.

#0  0x00000033e7430ec5 in raise () from /lib64/libc.so.6
#1  0x00000033e7432970 in abort () from /lib64/libc.so.6
#2  0x0000003c26a373f5 in g_logv () from /lib64/libglib-2.0.so.0
#3  0x0000003c26a37493 in g_log () from /lib64/libglib-2.0.so.0
#4  0x0000003c26e2417f in g_type_check_instance () from /lib64/libgobject-2.0.so.0
#5  0x0000003c26e1f057 in g_signal_connect_data () from /lib64/libgobject-2.0.so.0
#6  0x0000003c26e2a5a1 in g_type_create_instance () from /lib64/libgobject-2.0.so.0
#7  0x0000003c26e11a3d in gtk_main_quit () from /lib64/libgobject-2.0.so.0
#8  0x0000003c26e0fe74 in g_object_newv () from /lib64/libgobject-2.0.so.0
#9  0x0000003c26e1094e in g_object_new_valist () from /lib64/libgobject-2.0.so.0
#10 0x0000003c26e10af1 in g_object_new () from /lib64/libgobject-2.0.so.0
#11 0x0000000000408e40 in main (argc=2, argv=0x7fff69addd38) at vinagre-main.c:101
Comment 2 Fedora Update System 2007-11-26 13:54:51 EST
vinagre-0.3-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vinagre'
Comment 3 Scott Tsai 2007-11-28 08:04:49 EST
vinagre-0.3-3.fc8 fixes this for me.
Comment 4 Fedora Update System 2008-02-13 00:11:17 EST
vinagre-0.3-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-04-01 11:09:17 EDT
vinagre-0.4-1.fc8 has been submitted as an update for Fedora 8

Note You need to log in before you can comment on or make changes to this bug.